import json

if __name__ == '__main__':

    file_path = r'C:\Users\wzl\Desktop\241\2404 (复件)\20250310.txt'

    result_dict = dict()
    res_min = 9999999
    res_max = -1
    with open(file_path, 'r') as f:
        line = f.readline()
        while line:
            fixed_str = line.replace('{', '{"').replace(':"', '":"').replace(',', ',"')
            line_data = {}
            line_data = json.loads(fixed_str)
            del line_data['-1']
            now_min = min([int(i) for i in line_data.keys()])
            if now_min < res_min:
                res_min = now_min

            now_max = max([int(i) for i in line_data.keys()])
            if now_max > res_max:
                res_max = now_max

            line = f.readline()

    print(res_min, res_max)
